<template>
    <div id="home">
        <el-carousel :interval="4000" type="card" height="40vh">
            <el-carousel-item v-for="item in 3" :key="item">
                <el-image :src="images[item]" fit="fill" />
            </el-carousel-item>
        </el-carousel>
    </div>
</template>
<script setup>
import { ref } from 'vue';
import laptop from '@/assets/laptop.jpg';
import code from '@/assets/code.jpg';
import html from '@/assets/html.jpg';
import coffee from '@/assets/coffee.jpg';
const images = ref([0, code, html, coffee]);



</script>
<style scoped lang="scss">
#home {
    position: relative;
    top: 100px;

    .el-carousel__item {
        h3 {
            color: #475669;
            opacity: 0.75;
            line-height: 200px;
            margin: 0;
            text-align: center;
        }

        &:nth-child(2n) {
            background-color: #99a9bf;
        }

        &:nth-child(2n + 1) {
            background-color: #d3dce6;
        }
    }


}
</style>